<?php

use Bitrix\Main\Localization\Loc;
use Bitrix\Main\Loader;

Loader::IncludeModule('bspb.pay');
Loc::loadMessages(__FILE__);

$data = array(
    'NAME' => Loc::getMessage('BPSB_NAME'),
    'SORT' => 100,
    'CODES' => array(
        //MODE
        'ShopIsTest' => array(
            'NAME' => Loc::getMessage('BPSB_ShopIsTest'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_ShopIsTest'),
            'SORT' => 100,
            'GROUP' => Loc::getMessage('BPSB_TAB_MODE'),
            'INPUT' => array(
                'TYPE' => 'Y/N'
            ),
            'DEFAULT' => array(
                'PROVIDER_VALUE' => 'Y',
                'PROVIDER_KEY' => 'INPUT'
            ),
        ),
        'IsLog' => array(
            'NAME' => Loc::getMessage('BPSB_IsLog'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_IsLog'),
            'SORT' => 100,
            'GROUP' => Loc::getMessage('BPSB_TAB_MODE'),
            'INPUT' => array(
                'TYPE' => 'Y/N'
            ),
            'DEFAULT' => array(
                'PROVIDER_VALUE' => 'N',
                'PROVIDER_KEY' => 'INPUT'
            ),
        ),
        //CONNECT_SETTINGS
        'Merchant' => array(
            'NAME' => Loc::getMessage('BPSB_MerchantID'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_Merchant'),
            'SORT' => 200,
            'GROUP' => Loc::getMessage('BPSB_TAB_CONNECT_SETTINGS'),
        ),
        'NameCert1' => array(
            'NAME' => Loc::getMessage('BPSB_NameCert1'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_NameCert1'),
            'SORT' => 205,
            'GROUP' => Loc::getMessage('BPSB_TAB_CONNECT_SETTINGS'),
            'INPUT' => array(
                'TYPE' => 'FILE',
            ),
        ),
        'NameCert2' => array(
            'NAME' => Loc::getMessage('BPSB_NameCert2'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_NameCert2'),
            'SORT' => 205,
            'GROUP' => Loc::getMessage('BPSB_TAB_CONNECT_SETTINGS'),
            'INPUT' => array(
                'TYPE' => 'FILE',
            ),
        ),
        'OrderType' => array(
            'NAME' => Loc::getMessage('BPSB_OrderType'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_OrderType'),
            'SORT' => 220,
            'GROUP' => Loc::getMessage('BPSB_TAB_CONNECT_SETTINGS'),
            'INPUT' => array(
                'TYPE' => 'ENUM',
                'OPTIONS' => array(
                    'Purchase' => Loc::getMessage('BPSB_OrderType_Purchase'),
                    'Payments' => Loc::getMessage('BPSB_OrderType_Payments'),
                )
            ),
            'DEFAULT' => array(
                'PROVIDER_VALUE' => 'Purchase',
                'PROVIDER_KEY' => 'INPUT'
            ),
        ),
        //ORDER_INFO
        'OrderNum' => array(
            'NAME' => Loc::getMessage('BPSB_OrderNum'),
            'SORT' => 300,
            'GROUP' => Loc::getMessage('BPSB_TAB_ORDER_INFO'),
            'DEFAULT' => array(
                'PROVIDER_KEY' => 'ORDER',
                'PROVIDER_VALUE' => 'NUM'
            ),
        ),
        'PaymentId' => array(
            'NAME' => Loc::getMessage('BPSB_PaymentId'),
            'SORT' => 310,
            'GROUP' => Loc::getMessage('BPSB_TAB_ORDER_INFO'),
            'DEFAULT' => array(
                'PROVIDER_KEY' => 'PAYMENT',
                'PROVIDER_VALUE' => 'ID'
            ),
        ),
        'PaymentSum' => array(
            'NAME' => Loc::getMessage('BPSB_PaymentSum'),
            'SORT' => 320,
            'GROUP' => Loc::getMessage('BPSB_TAB_ORDER_INFO'),
            'DEFAULT' => array(
                'PROVIDER_KEY' => 'PAYMENT',
                'PROVIDER_VALUE' => 'SUM'
            ),
        ),
        'Currency' => array(
            'NAME' => Loc::getMessage('BPSB_Currency'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_Currency'),
            'SORT' => 330,
            'GROUP' => Loc::getMessage('BPSB_TAB_ORDER_INFO'),
            'INPUT' => array(
                'TYPE' => 'ENUM',
                'OPTIONS' => array(
                    '643' => Loc::getMessage('BPSB_Currency_RUB'),
                )
            ),
            'DEFAULT' => array(
                'PROVIDER_VALUE' => '643',
                'PROVIDER_KEY' => 'INPUT'
            ),
        ),
        //MORE_PARAM
        'Description' => array(
            'NAME' => Loc::getMessage('BPSB_Description'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_Description'),
            'SORT' => 400,
            'GROUP' => Loc::getMessage('BPSB_TAB_MORE_PARAM'),
        ),
        'Language' => array(
            'NAME' => Loc::getMessage('BPSB_Language'),
            'DESCRIPTION' => Loc::getMessage('BPSB_DESC_Language'),
            'SORT' => 410,
            'GROUP' => Loc::getMessage('BPSB_TAB_MORE_PARAM'),
            'INPUT' => array(
                'TYPE' => 'ENUM',
                'OPTIONS' => array(
                    'RU' => Loc::getMessage('BPSB_Language_ru'),
                    'EN' => Loc::getMessage('BPSB_Language_en'),
                )
            ),
            'DEFAULT' => array(
                'PROVIDER_VALUE' => 'RU',
                'PROVIDER_KEY' => 'INPUT',
            ),
        ),

    )
);
