<?php
IncludeModuleLangFile(__FILE__);

class bspb_pay extends CModule
{
    var $MODULE_ID = 'bspb.pay';
    var $MODULE_VERSION;
    var $MODULE_VERSION_DATE;
    var $MODULE_NAME;
    var $MODULE_DESCRIPTION;

    public function bspb_pay()
    {
        $arModuleVersion = array();

        $path = str_replace('\\', '/', __FILE__);
        $path = substr($path, 0, strlen($path) - strlen('/index.php'));
        include($path . '/version.php');
        if (is_array($arModuleVersion) && array_key_exists('VERSION', $arModuleVersion)) {
            $this->MODULE_VERSION = $arModuleVersion['VERSION'];
            $this->MODULE_VERSION_DATE = $arModuleVersion['VERSION_DATE'];
        }
        $this->MODULE_NAME = GetMessage('BSPB_MODULE_NAME');
        $this->MODULE_DESCRIPTION = GetMessage('BSPB_MODULE_DESCRIPTION');
        $this->PARTNER_NAME = GetMessage('BSPB_NAME_COMPANY');
        $this->MODULE_GROUP_RIGHTS = 'N';
        $this->PARTNER_URI = 'https://www.bspb.ru/';
    }

    public function DoInstall()
    {
        $isConverted = \Bitrix\Main\Config\Option::get('main', '~sale_converted_15', 'N');
        if (!CModule::IncludeModule('sale') || !(defined('SM_VERSION')
                && version_compare(SM_VERSION, '16.0.0') >= 0 && $isConverted == 'Y')) {
            return false;
        } elseif (!$this->InstallDB()) {
            return false;
        } elseif (!$this->InstallFiles()) {
            return false;
        }

        RegisterModule($this->MODULE_ID);
        \CAgent::AddAgent("\Bspb\Pay\Pay::checkResult();", $this->MODULE_ID, "N", 60, "", "Y", "", 100);
        return true;
    }

    public function DoUninstall()
    {
        $this->UnInstallDB(array("savedata" => $_REQUEST["savedata"]));
        $this->UnInstallFiles();
        UnRegisterModule($this->MODULE_ID);
        \CAgent::RemoveModuleAgents($this->MODULE_ID);
        return true;
    }

    function InstallFiles()
    {
        $res = false;
        $res = CopyDirFiles($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/' . $this->MODULE_ID . '/install/install/payment',
            $_SERVER['DOCUMENT_ROOT'] . '/bitrix/php_interface/include/sale_payment', true, true);
        $res = CopyDirFiles($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/' . $this->MODULE_ID . '/install/install/tools',
            $_SERVER['DOCUMENT_ROOT'] . '/bitrix/tools', true, true);
        if (SITE_CHARSET == "UTF-8") {
            $res = CopyDirFiles($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/' . $this->MODULE_ID . '/install/install/page/bspb_pages_uft8',
                $_SERVER['DOCUMENT_ROOT'] . '/bitrix/bspb_pages', true, true);
        } else {
            $res = CopyDirFiles($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/' . $this->MODULE_ID . '/install/install/page/bspb_pages',
                $_SERVER['DOCUMENT_ROOT'] . '/bitrix/bspb_pages', true, true);
        }
        return $res;
    }

    function UnInstallFiles()
    {
        DeleteDirFilesEx('/bitrix/php_interface/include/sale_payment/bspb.pay');
        DeleteDirFilesEx('/bitrix/tools/bspb.pay');
        DeleteDirFilesEx('/bitrix/bspb_pages');
        return true;
    }

    public function InstallDB()
    {
        global $DB, $DBType, $APPLICATION;
        $errors = false;
        if (!$DB->Query("SELECT 'x' FROM bspb_transaction WHERE 1=0", true)) {
            $errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/" . $this->MODULE_ID . "/install/db/" . strtolower($DB->type) . "/install.sql");
        }
        if ($errors !== false) {
            $APPLICATION->ThrowException(implode("<br>", $errors));
            return false;
        }
        return true;
    }

    public function UnInstallDB($arParams = array())
    {
        global $DB, $DBType, $APPLICATION;
        $errors = false;
        if (!array_key_exists("savedata", $arParams) || $arParams["savedata"] != "Y") {
            $errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/" . $this->MODULE_ID . "/install/db/" . strtolower($DB->type) . "/uninstall.sql");
        }
        if ($errors !== false) {
            $APPLICATION->ThrowException(implode("<br>", $errors));
            return false;
        }
        return true;
    }
}
